<Keyboard xmlns:android="http://schemas.android.com/apk/res/android"
    android:horizontalGap="3dip"
    android:verticalGap="3dip"
    android:keyWidth="25%p"
    android:keyHeight="20%p">

    <Row android:rowEdgeFlags="top">
        <Key android:codes="32" android:keyEdgeFlags="left" android:keyIcon="@drawable/keyboard_space"/>
        <Key android:codes="46" android:keyLabel="."/>
        <Key android:codes="44" android:keyLabel=","/>
        <Key android:codes="63" android:keyLabel="\?" android:keyEdgeFlags="right"/>
    </Row>

    <Row>
        <Key android:codes="33" android:keyLabel="!" android:keyEdgeFlags="left"/>
        <Key android:codes="39" android:keyLabel="\'"/>
        <Key android:codes="58" android:keyLabel=":"/>
        <Key android:codes="126" android:keyLabel="~" android:keyEdgeFlags="right"/>
    </Row>

    <Row>
        <Key android:codes="64" android:keyLabel="\@" android:keyEdgeFlags="left"/>
        <Key android:codes="59" android:keyLabel=";"/>
        <Key android:codes="34" android:keyLabel="&quot;"/>
        <Key android:codes="47" android:keyLabel="/" android:keyEdgeFlags="right"/>
    </Row>

    <Row>
        <Key android:codes="40" android:keyLabel="(" android:keyEdgeFlags="left"/>
        <Key android:codes="41" android:keyLabel=")"/>
        <Key android:codes="95" android:keyLabel="_"/>
        <Key android:codes="45" android:keyLabel="-" android:keyEdgeFlags="right"/>
    </Row>

    <Row>
        <Key android:codes="43" android:keyLabel="+" android:keyEdgeFlags="left"/>
        <Key android:codes="61" android:keyLabel="="/>
        <Key android:codes="96" android:keyLabel="`"/>
        <Key android:codes="94" android:keyLabel="^" android:keyEdgeFlags="right"/>
    </Row>

    <Row>
        <Key android:codes="35" android:keyLabel="\#" android:keyEdgeFlags="left"/>
        <Key android:codes="42" android:keyLabel="*"/>
        <Key android:codes="37" android:keyLabel="%"/>
        <Key android:codes="38" android:keyLabel="&amp;" android:keyEdgeFlags="right"/>
    </Row>

    <Row>
        <Key android:codes="92" android:keyLabel="\\" android:keyEdgeFlags="left"/>
        <Key android:codes="124" android:keyLabel="|"/>
        <Key android:codes="91" android:keyLabel="["/>
        <Key android:codes="93" android:keyLabel="]" android:keyEdgeFlags="right"/>
    </Row>

    <Row>
        <Key android:codes="60" android:keyLabel="&lt;" android:keyEdgeFlags="left"/>
        <Key android:codes="62" android:keyLabel="&gt;"/>
        <Key android:codes="123" android:keyLabel="{"/>
        <Key android:codes="125" android:keyLabel="}" android:keyEdgeFlags="right"/>
    </Row>

    <Row>
        <Key android:codes="36" android:keyLabel="$" android:keyEdgeFlags="left"/>
        <Key android:codes="128" android:keyLabel="€"/>
        <Key android:codes="163" android:keyLabel="£"/>
        <Key android:codes="165" android:keyLabel="¥" android:keyEdgeFlags="right"/>
    </Row>

    <Row>
        <Key android:codes="181" android:keyLabel="¡" android:keyEdgeFlags="left"/>
        <Key android:codes="182" android:keyLabel="¿"/>
        <Key android:codes="210" android:keyLabel="×"/>
        <Key android:codes="211" android:keyLabel="÷" android:keyEdgeFlags="right"/>
    </Row>

</Keyboard>
